<?xml version='1.0' encoding='UTF-8' ?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml"
      xmlns:ui="http://xmlns.jcp.org/jsf/facelets"
      xmlns:p="http://primefaces.org/ui"
      xmlns:h="http://xmlns.jcp.org/jsf/html"
      xmlns:f="http://xmlns.jcp.org/jsf/core">

    <body>



        <ui:composition template="./../WEB-INF/Modelo.xhtml">

            <ui:define name="content">
                <p:fieldset legend="Pesquisa">
                    <p:panelGrid>
                        <p:row>
                            <p:column>Código: </p:column>
                            <p:column colspan="2">
                                <p:inputText value="#{pesquisaAlunoBean.codigo}" style="width: 40px"/>
                            </p:column>
                        </p:row>

                        <p:row>
                            <p:column>Nome: </p:column>   
                            <p:column>
                                <p:inputText value="#{pesquisaAlunoBean.nome}" style="width: 200xp" />
                            </p:column>
                            <p:column>
                                <p:commandButton value="Pesquisar" actionListener="#{pesquisaAlunoBean.pesquisa}" update="tabela, growl"  />

                            </p:column>

                        </p:row>

                    </p:panelGrid>
                    <p:graphicImage library="img" name="Messi.jpg"/>
                    <p:graphicImage library="img" name="Bolsonarocorupto.png" />
                </p:fieldset>


                <p:dataTable id="tabela" var="aluno" value="#{pesquisaAlunoBean.lista}">
                    <p:column headerText="Código">
                        <h:outputText value="#{aluno.id}" />
                    </p:column>
                    <p:column headerText="Nome">
                        <h:outputText value="#{aluno.nome}" />
                    </p:column>

                    <p:column>
                        <p:commandLink update="painelEdicao" process="@this"
                                       oncomplete="PF('dialog').show();">
                            <h:graphicImage library="img" name="Bolsonaro.png" />


                            <f:setPropertyActionListener 
                                target="#{pesquisaAlunoBean.alunoSelecionado}" 
                                value="#{aluno}" />
                        </p:commandLink>
                        <p:commandButton value="Editar" action="#{pesquisaAlunoBean.alterar}" ajax="false" immediate="true">
                            <f:setPropertyActionListener target="#{alunoBean.aluno}" value="#{aluno}"/>
                        </p:commandButton>
                        
                    </p:column>



                </p:dataTable>

                <p:dialog header="Edição Aluno" widgetVar="dialog"
                          modal="true" >

                    <h:form prependId="false">

                        <p:fieldset legend="Cadastro Aluno">

                            <p:panelGrid  id="painelEdicao" >

                                <p:row>
                                    <p:column>
                                        <p:outputLabel value="Código:" for="codigo" />
                                    </p:column>
                                    <p:column colspan="8">
                                        <p:inputText id="codigo" value="#{pesquisaAlunoBean.alunoSelecionado.id}" readonly="true" size="2" />
                                    </p:column>

                                </p:row>

                                <p:row>
                                    <p:column >
                                        <p:outputLabel value="Nome:" for="nomeForm" />
                                    </p:column>
                                    <p:column colspan="8">
                                        <p:inputText id="nomeForm" value="#{pesquisaAlunoBean.alunoSelecionado.nome}"  readonly="false" />
                                    </p:column>

                                </p:row>

                                <p:row>
                                    <p:column>
                                        <p:outputLabel value="CPF:" for="cpf" />
                                    </p:column>
                                    <p:column colspan="8">
                                        <p:inputText id="cpf" value="#{pesquisaAlunoBean.alunoSelecionado.cpf}" required="false" />
                                    </p:column>

                                </p:row>

                                <p:row>
                                    <p:column>
                                        <p:outputLabel value="Endereço:" for="endereco" />
                                    </p:column>
                                    <p:column>
                                        <p:inputText id="endereco" value="#{pesquisaAlunoBean.alunoSelecionado.endereco}" required="false" />
                                    </p:column>

                                    <p:column>
                                        <p:outputLabel value="Nº" for="numero" />
                                    </p:column>
                                    <p:column>
                                        <p:inputText id="numero" value="#{pesquisaAlunoBean.alunoSelecionado.numero}" required="false" size="2" />
                                    </p:column>
                                    <p:column>
                                        <p:outputLabel value="Cidade:" for="cidade" />
                                    </p:column>
                                    <p:column>
                                        <p:inputText id="cidade" value="#{pesquisaAlunoBean.alunoSelecionado.cidade}" required="false" />
                                    </p:column>
                                    <p:column>
                                        <p:outputLabel value="UF:" for="uf" />
                                    </p:column>
                                    <p:column>
                                        <p:inputText id="uf" value="#{pesquisaAlunoBean.alunoSelecionado.estado}" required="false" size="2" />
                                    </p:column>

                                </p:row>

                                <p:row>
                                    <p:column>
                                        <p:outputLabel value="Complemento:" for="complemento" />
                                    </p:column>
                                    <p:column colspan="8">
                                        <p:inputText id="complemento" value="#{pesquisaAlunoBean.alunoSelecionado.complemento}" readonly="false" size="100" />
                                    </p:column>

                                </p:row>


                            </p:panelGrid>

                        </p:fieldset>


                        <p:commandButton value="Salvar" update="painelEdicao , growl" actionListener="#{pesquisaAlunoBean.salvar}" />

                    </h:form>

                </p:dialog>

            </ui:define>

        </ui:composition>

    </body>
</html>
